diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 929fc2a..5c36a68 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -131381,7 +131381,7 @@ RationalFunctionLimitPackage(R:GcdDomain):Exports==Implementation where
       (xx := retractIfCan(p)@Union(SE,"failed")) case "failed" =>
         error "limit: left hand side must be a variable"
       x := xx :: SE
-      a := map(#1::RF,rhs eq)$OrderedCompletionFunctions2(P,RF)
+      a := map(y +-> y::RF,rhs eq)$OrderedCompletionFunctions2(P,RF)
       locallimit(f,x,a)
  
     complexLimit(f:RF,eq:EQ OnePointCompletion P) ==
@@ -131390,7 +131390,7 @@ RationalFunctionLimitPackage(R:GcdDomain):Exports==Implementation where
       (xx := retractIfCan(p)@Union(SE,"failed")) case "failed" =>
         error "limit: left hand side must be a variable"
       x := xx :: SE
-      a := map(#1::RF,rhs eq)$OnePointCompletionFunctions2(P,RF)
+      a := map(y +-> y::RF,rhs eq)$OnePointCompletionFunctions2(P,RF)
       locallimitcomplex(f,x,a)
  
     fLimit(n, d, a, dir) ==
diff --git a/changelog b/changelog
index 4283501..5510849 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.10.tpd.patch
+20090619 tpd books/bookvol10.4 LIMITRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.09.tpd.patch
 20090619 tpd books/bookvol10.4 INTRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 770435c..da072c6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1597,5 +1597,7 @@ bookvol10.4 DEFINTRF +-> conversion<br/>
 bookvol10.4 RFFACT +-> conversion<br/>
 <a href="patches/20090619.09.tpd.patch">20090619.09.tpd.patch</a>
 bookvol10.4 INTRF +-> conversion<br/>
+<a href="patches/20090619.10.tpd.patch">20090619.10.tpd.patch</a>
+bookvol10.4 LIMITRF +-> conversion<br/>
  </body>
 </html>
